အကြောင်းအရာသို့ ကျော်ရန်

Flux 3 Extend Video

ပေါင်းစည်းရန်

မော်ဒယ် id blackforestlabs/flux-3/extend-video
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/blackforestlabs/flux-3/extend-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

ဤတောင်းဆိုချက်: ၈.၂၀ $ ၈,၂၀၀ API ခရက်ဒစ် ဤစာမျက်နှာတွင် လုပ်ဆောင်ရန်

API ကီး ရယူရန်
Black Forest Labs ဗီဒီယိုမှ ဗီဒီယို မူရင်းအသံ4K ထွက်ရလဒ်Lipsync၅–၂၀ s2160p အထိ #stylized#transform

ရှိပြီးသား MP4 ကလစ်ကို ၎င်း၏နောက်ဆုံးဖရိမ်ကျော်လွန်သည်အထိ ဆက်လက်ဖန်တီးပေးပြီး resolution 2160p အထိ ပံ့ပိုးသည်

Black Forest Labs · ဗီဒီယို

သင့်ပထမဆုံးရလဒ် ဤနေရာတွင် ပေါ်လာမည်

အောက်တွင် တောင်းဆိုချက်တစ်ခု တည်ဆောက်ပြီး သင့် API ကီးဖြင့် လုပ်ဆောင်ပါ။ ထွက်ရလဒ်များကို ကျွန်ုပ်တို့၏ သိုလှောင်မှုသို့ ကူးယူပြီး အမြဲတမ်း သို့မဟုတ် ၇ ရက် အခမဲ့ သိမ်းထားသည်။

တောင်းဆိုမှုတစ်ခု တည်ဆောက်ရန်

ထိန်းချုပ်မှုများကို မော်ဒယ် schema မှ အလိုအလျောက်ဖန်တီးသည်။ ၎င်းတို့ကို ပြောင်းလဲသည်နှင့် code နှင့် စျေးနှုန်းတို့လည်း ပြောင်းလဲမည်။

•လိုအပ်သည်

ရင်းမြစ်ကလစ်၏ နောက်ဆုံးဖရိမ်များကို အစမှတ်အဖြစ် အသုံးပြု၍ ဗီဒီယိုကို ဆက်လက်ဖန်တီးရန် ညွှန်ကြားချက်များ။

•လိုအပ်သည် video_url
ဖိုင်ကို ဆွဲချပါ၊ သို့မဟုတ်

15 စက္ကန့်ထက်တိုပြီး 50 MB ထက်သေးသော MP4 ကို ဗီဒီယိုရင်းမြစ်အဖြစ် ညွှန်ပြသည့် URL။

duration auto

ဗီဒီယိုကြာချိန်: စက္ကန့်ကို သတ်မှတ်ပါ သို့မဟုတ် မော်ဒယ်ရွေးချယ်သည့် ကြာချိန်အတွက် `auto` ကို ရွေးပါ။

aspect_ratio မူလ auto

ထွက်ရလဒ်ဗီဒီယို၏ အချိုးအစား။ `auto` သည် ရွေးချယ်မှုကို မော်ဒယ်ထံ လွှဲပေးသည်။

resolution မူလ 720p

ထွက်ရလဒ် ရုပ်ထွက်အရည်အသွေး၊ ပစ်ဇယ်အတိုင်းအတာများကို အချိုးအစားအပေါ် မူတည်၍ သတ်မှတ်သည်။ အပြီးသတ်ရာတွင် `1080p`၊ `1440p` (2K) နှင့် `2160p` (4K) အတွက် ဗီဒီယို upsampler ကို အသုံးပြုသည်။

အဆင့်မြင့် safety_tolerance
မူလ 2

ဗီဒီယိုဘေးကင်းရေး ခံနိုင်ရည်စကေးတွင် ခွင့်ပြုမှုအများဆုံး ဆက်တင်မှာ 4 ဖြစ်ပြီး တင်းကျပ်ဆုံး ဆက်တင်မှာ 0 ဖြစ်သည်။

POST /run/blackforestlabs/flux-3/extend-video?wait=20 ကုန်ကျစရိတ် → ၈.၂၀ $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/blackforestlabs/flux-3/extend-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

ဤတောင်းဆိုချက်ကို လုပ်ဆောင်ရန်

သင့် key သည် ဤဘရောက်ဇာထဲတွင်သာ ရှိမည်ဖြစ်ပြီး Doitong API သို့သာ ပို့မည်။ Remember ကို အမှန်ခြစ်ထားမှသာ (localStorage) တွင် သိမ်းမည်။ API ကီး ရယူရန်

Flux 3 Extend Video အကြောင်း

`video_url` (MP4၊ 50 MB အောက်နှင့် 15 စက္ကန့် အောက်) ရှိ မူရင်းဗီဒီယိုကို နောက်ထပ်ဖြစ်ပျက်မည့်အရာကို ဖော်ပြသော `prompt` ဖြင့် လမ်းညွှန်ကာ တိုးချဲ့သည်။ `duration` သည် `auto` သို့မဟုတ် 5 မှ 19 စက္ကန့် အထိ ဖြစ်နိုင်သည်။ `resolution` သည် 720p မှ 2160p အထိရှိပြီး အသံဖန်တီးမှုကို ပုံမှန်အားဖြင့် ဖွင့်ထားသည်။ `safety_tolerance` သည် 0 မှ 4 အထိ ဖြစ်သည်။

ပါရာမီတာများ

စံအမည် သို့မဟုတ် မူရင်းအမည် တစ်ခုခုကိုသာ ပို့ပါ၊ နှစ်ခုလုံး မပို့ပါနှင့်။ စံအမည်များ

အမည်အမျိုးအစား မူလတန်ဖိုးခွင့်ပြုထားသည် ဖော်ပြချက်
promptလိုအပ်သည်
အမျိုးအစားstring
ရင်းမြစ်ကလစ်၏ နောက်ဆုံးဖရိမ်များကို အစမှတ်အဖြစ် အသုံးပြု၍ ဗီဒီယိုကို ဆက်လက်ဖန်တီးရန် ညွှန်ကြားချက်များ။
aspect_ratioရွေးချယ်နိုင်သည်
အမျိုးအစားenum
မူလတန်ဖိုးauto
auto21:92:116:94:31:13:49:16
ထွက်ရလဒ်ဗီဒီယို၏ အချိုးအစား။ `auto` သည် ရွေးချယ်မှုကို မော်ဒယ်ထံ လွှဲပေးသည်။
resolutionရွေးချယ်နိုင်သည်
အမျိုးအစားenum
မူလတန်ဖိုး720p
720p1080p1440p2160p
ထွက်ရလဒ် ရုပ်ထွက်အရည်အသွေး၊ ပစ်ဇယ်အတိုင်းအတာများကို အချိုးအစားအပေါ် မူတည်၍ သတ်မှတ်သည်။ အပြီးသတ်ရာတွင် `1080p`၊ `1440p` (2K) နှင့် `2160p` (4K) အတွက် ဗီဒီယို upsampler ကို အသုံးပြုသည်။
durationရွေးချယ်နိုင်သည်
အမျိုးအစားenum
မူလတန်ဖိုးauto
auto5678910111213141516171819
+1 ခု ထပ်မံ20
ဗီဒီယိုကြာချိန်: စက္ကန့်ကို သတ်မှတ်ပါ သို့မဟုတ် မော်ဒယ်ရွေးချယ်သည့် ကြာချိန်အတွက် `auto` ကို ရွေးပါ။
generate_audioရွေးချယ်နိုင်သည်
အမျိုးအစားboolean
မူလတန်ဖိုးtrue
ဗီဒီယိုတွင် ဖန်တီးထားသော အသံ ပါဝင်မည်၊ မည်မည်ကို ထိန်းချုပ်သည်။
safety_toleranceရွေးချယ်နိုင်သည်
အမျိုးအစားinteger
မူလတန်ဖိုး2
၀ – ၄
ဗီဒီယိုဘေးကင်းရေး ခံနိုင်ရည်စကေးတွင် ခွင့်ပြုမှုအများဆုံး ဆက်တင်မှာ 4 ဖြစ်ပြီး တင်းကျပ်ဆုံး ဆက်တင်မှာ 0 ဖြစ်သည်။
video_urlလိုအပ်သည် video
အမျိုးအစားurl · video
15 စက္ကန့်ထက်တိုပြီး 50 MB ထက်သေးသော MP4 ကို ဗီဒီယိုရင်းမြစ်အဖြစ် ညွှန်ပြသည့် URL။
လိုအပ်သည် စံအမည်၊ ထို့အပြင် လက်ခံသည်

ဖိုင်ပါရာမီတာများသည် အများပြည်သူသုံး https:// URL၊ 10 MB အထိ data: URI သို့မဟုတ် အပ်လုဒ်လုပ်ထားသောဖိုင်၏ file_url ကို လက်ခံသည်။ ဖိုင်များ

ထွက်ရလဒ်

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "blackforestlabs/flux-3/extend-video",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 8200,
    "usd": "8.20",
    "charged": 8200,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    },
    "seed": 42
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
သင့်ဖိုင်များ၊ သင့်ရွေးချယ်မှုoutputs[].url တိုင်းသည် ကျွန်ုပ်တို့၏ သိုလှောင်မှုရှိ မိတ္တူဖြစ်သည်- အမြဲတမ်း (GB-month အလိုက် ငွေပေးရသည်) သို့မဟုတ် ၇ ရက် အခမဲ့၊ သင့်အကောင့်ဆက်တင် သို့မဟုတ် ?storage= ဖြင့် သိမ်းထားသည်။
မော်ဒယ်တိုင်းတွင် ပုံစံတူပုံ၊ ဗီဒီယိုနှင့် အသံတို့အတွက် type၊ url၊ content_type၊ width၊ height နှင့် duration။ output သည် မော်ဒယ်ကိုယ်တိုင်၏ ရလဒ် object ဖြစ်သည်။
ထွက်ရလဒ်၏ Fields များ
video
object {url, content_type, file_name, file_size}မော်ဒယ်မှ ထုတ်လုပ်ထားသော ဗီဒီယို။
seed
integerဖန်တီးစဉ် အသုံးပြုမည့် seed တန်ဖိုး။

နောက်ထပ် မော်ဒယ်များ: ဗီဒီယိုမှ ဗီဒီယို

AI အေးဂျင့်များအတွက်- ဤစာမျက်နှာ၏ Markdown ကို ဤနေရာတွင် ရရှိနိုင်သည် https://doitong.com/my/developers/models/blackforestlabs/flux-3/extend-video.md. မော်ဒယ်များနှင့် လမ်းညွှန်များအားလုံး: https://doitong.com/developers/llms.txt